/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.view-egfa-page {
  width: max-content;
  min-width: 100%;
  margin-bottom: 24px;

  * {
    font-size: @platform-table-font-size;
  }

  .heading-holder {
    display: flex;
    justify-content: space-between;
    margin-bottom: 32px;

    h2 {
      line-height: 40px;
      margin: 0;
    }
  }

  .hinweis-holder {
    border: 1px solid @platform-blue3;
    background-color: @platform-blue13;
    padding: 24px;
    max-width: 661px;
    margin-top: 40px;
    margin-bottom: 16px;
  }

  .main-holder {
    margin-top: 24px;
    .ant-checkbox-group {
      width: 100%;
      display: block;
    }

    .ant-tabs-content-holder {
      padding: 0 40px 40px;
    }

    .ant-table-content {
      .auswahl-cell {
        text-align: center;
      }

      .VOLLSTAENDIG_BEARBEITET {
        svg {
          display: inline-block;
          vertical-align: middle;
          margin-top: -3px;
          margin-right: 10px;
        }
      }
    }

    .actions-holder {
      display: flex;
      flex-wrap: wrap;
      gap: 3em;
      margin: 1em;
      position: absolute;
      z-index: 1;

      .check-all {
        margin-left: 24px;

        &.ant-checkbox-wrapper-disabled {
          span {
            color: @text-disabled-blue-4-bg;
          }
        }
      }

      .button-holder {
        margin-left: auto;
      }
    }
  }
}

@media only screen and (max-width: 600px) {
  .view-egfa-page {
    .main-holder {
      .actions-holder {
        position: relative;

        .button-holder {
          margin: 0;
        }
      }
    }
  }
}

@media only screen and (min-width: 600px) {
  .view-egfa-page {
    .main-holder {
      .actions-holder {
        position: relative;

        .button-holder {
          margin: 0;
        }
      }
    }
  }
}

@media only screen and (min-width: 768px) {
  .view-egfa-page {
    .main-holder {
      .actions-holder {
        position: relative;

        .button-holder {
          margin: 0;
        }
      }
    }
  }
}

@media only screen and (min-width: 1245px) {
  .view-egfa-page {
    .main-holder {
      .actions-holder {
        position: absolute;

        .button-holder {
          margin-left: auto;
        }
      }
    }
  }
}

.info-column {
  display: flex;
  align-items: center;
}
